Docs Kling /kling/v1/videos/text2video/{task_id}
API reference

Query Vincent video tasks

Query Vincent Video task status and results based on task_id.

GET/kling/v1/videos/text2video/{task_id}

Responses

200 success application/json
response-200 object
properties
code integer

Business status code

data object

Data payload (often Base64 or a structured object)

message string

Message text

request_id string

Request trace ID

401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/kling/v1/videos/text2video/{task_id}" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2"code": 0,
3▼"data": {
4"task_id": "string",
5▶"task_result": { 2 keys },
6"task_status": "submitted",
7"task_status_msg": "string"
8},
9"message": "string",
10"request_id": "string"
11}